﻿@model Memberships.Areas.Admin.Models.ProductItemModel
    @using Memberships.Extensions

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>ProductItem</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.Hidden("OldProductId", Model.ProductId)
    @Html.Hidden("OldItemId", Model.ItemId)

    <div class="form-group">
        @Html.LabelFor(model => model.Products, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @*@Html.EditorFor(model => model.ItemTypeId, new { htmlAttributes = new { @class = "form-control" } })*@
            @Html.DropDownListFor(model => model.ProductId, Model.Products.ToSelectListItem(Model.ProductId),
           new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.ProductId, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Items, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @*@Html.EditorFor(model => model.ItemTypeId, new { htmlAttributes = new { @class = "form-control" } })*@
            @Html.DropDownListFor(model => model.ItemId, Model.Items.ToSelectListItem(Model.ItemId),
           new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.ItemId, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Save" class="btn btn-success" />
        </div>
    </div>
</div>
}

    <div>
        @Html.Partial("_BackToListButtonPartial")
    </div>
